Stories
Slash Boxes
Comments
NOTE: use Perl; is on undef hiatus. You can read content, but you can't post it. More info will be forthcoming forthcomingly.

All the Perl that's Practical to Extract and Report

The Fine Print: The following comments are owned by whoever posted them. We are not responsible for them in any way.
 Full
 Abbreviated
 Hidden
More | Login | Reply
Loading... please wait.
  • Given that 5.8.9 is the last in the 5.8 series, it's probably time to start thinking about migrating to 5.10.

    • Well my Debian boxen are already running 5.10 and I'm quite happy with it. Our work boxen are a bit more problematic as the machines themselves are due for the scrap heap but time pressures and such have trapped them as unsupported hardware, running an unsupported version of Red Hat with very old and obsolete applications...

      In theory it's not my problem but in practice it is. The problem is I just don't have any spare cycles to do anything about it.

      However on a lighter note, I do plan to start taking advantages of Perl language features that came out in 5.8 and have a bright future in 5.10 and beyond. I think dropping support for 5.6 in my modules and code is now acceptable. If it still runs in 5.6 that's okay and I won't try to make it 5.6 incompatible but I will no longer explicitly support 5.6.

      --
      -- "It's not magic, it's work..."